Bug 343791 - evolution forgets about subscriptions
evolution forgets about subscriptions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 09:30 EDT by Christoph Höger
Modified: 2008-12-10 10:44 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.12.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 10:44:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Höger 2007-10-20 09:30:40 EDT
Hey there,

at the moment, this makes evolution completely useless to me:

Description of problem:
Sometimes (I can't figure out by what its triggered) evolution does not show
some of the subscribed folders. If you show at the subscriptions list they are
still selected. Even worse, if you try to deselect/select them evolution
crashes. Next start again some folders are missing.

Version-Release number of selected component (if applicable):
evolution-2.10.3-4.fc7
evolution-sharp-0.12.2-2.fc7
evolution-data-server-1.10.3.1-2.fc7
evolution-webcal-2.10.0-1.fc7


How reproducible:
happens randomly 

Steps to Reproduce:
1. start evolution
2. miss some folders
3. try to deselect/select them again
4. crash  

Actual results:
somedays you can't read for example the fedora-devel folder. sometimes your
work-email folder is missing etc.

Expected results:
All folders should always be visible. 

Additional info:
I'm not an IMAP expert, so I don't know if that could be server side. But
thunderbird works fine (but misses the good gnome integration and pgp) so I
assume evolution could at least be less sensitive about that.
Comment 1 Matthew Barnes 2007-10-21 08:28:04 EDT
Is this problem still present in Fedora 8 Test 3 or later?
Comment 2 Christoph Höger 2007-10-25 11:46:35 EDT
At the moment I can't reproduce this bug with the live cd (which is not a good
way for hardcore usage of evolution).
So I have to wait until f8 is out to test it in "real work". 
Comment 3 Matthew Barnes 2007-10-25 12:32:02 EDT
Thanks for responding.  Leaving this in NEEDINFO state to help me track it.
Comment 4 Matěj Cepl 2008-01-17 09:26:37 EST
I think F8 is now in the real production, right? 

Please reply at least in one month, otherwise I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 5 Christoph Höger 2008-01-17 09:46:35 EST
I have not seen that behavior about 1 month f8 usage. So I think we can be quite
sure its gone.

thank you for the reminder
Comment 6 Matthew Barnes 2008-01-17 10:17:10 EST
Good to hear.  Thanks for the update.
Comment 7 Christoph Höger 2008-03-18 12:09:43 EDT
Ok, never say never, as Sean said :(

Here we are again. This time I know how to reproduce:

1. change the list of subscribed folders (I did it manually on the server, but
an other client like thunderbird should do the same) by adding a new folder

2. start evolution: You don't see the new folder

3. click on 'subscribed folders' you'll see the new folder marked. (sidenote:
evolution will probably crash, if you do something now)

4. Restart evolution

5. _all_ folders gone now

6. rm -rf ~/.evolution/mail/imap/<YOURMAILACCOUNT>

7. restart evolution

8. evolution reloads the folders
Comment 8 Bug Zapper 2008-11-26 03:02:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matthew Barnes 2008-11-29 01:08:55 EST
Have you seen this bug in Fedora 9 or 10?

I could not reproduce the bug by following the steps in comment #7.  I closed Evolution, started Thunderbird, created a new folder on an IMAP account, closed Thunderbird, started Evolution.

Evolution correctly displayed the new folder in both the folder tree and the subscription editor.  No crash, either.
Comment 10 Matthew Barnes 2008-12-10 10:44:50 EST
Closing as INSUFFICENT_DATA since the reporter hasn't responded and my own testing suggests the bug no longer exists.

Note You need to log in before you can comment on or make changes to this bug.